#ifndef __GLOBALS__
#define __GLOBALS__

#ifdef X_MAIN
#define EXTERN 
#else
#define EXTERN extern 
#endif

typedef enum {MS_NORMAL,MS_FANCY} MENUSTYLE;

EXTERN Display *pDisp;
EXTERN int gScreen;
EXTERN int gScreenWidth;
EXTERN int gScreenHeight;
EXTERN int gScreenDepth;
EXTERN int gCurrentDesktop;
EXTERN Window root;
EXTERN Window mainWindow;
EXTERN int globalArgc;
EXTERN char **globalArgv;
EXTERN char **globalEnv;
EXTERN GC gGc;
EXTERN PIXMAP defaultPixmap;
EXTERN unsigned long palette[7];
EXTERN int useMenu;
EXTERN int useMenuIcons;
EXTERN int useTooltips;
EXTERN int useXft;
EXTERN int useDaemon;
EXTERN int useModuleBorder;
EXTERN MENUSTYLE menuStyle;
EXTERN int onTop;

#define PALETTE_LIGHT_GRAY palette[0]
#define PALETTE_DARK_GRAY  palette[1]
#define PALETTE_BLACK      palette[2]
#define PALETTE_WHITE      palette[3]
#define PALETTE_MENU_BLUE  palette[4]
#define PALETTE_TOOLTIP    palette[5]
#define PALETTE_LIGHTEST_GRAY palette[6]

#endif
